curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/products/prd_jPRDcQPMk43Ek" \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.entities("ent_TYHMaRJUUeJ7U")
.products
.retrieve("prd_jPRDcQPMk43Ek");
response = method
.entities('ent_TYHMaRJUUeJ7U')
.products
.retrieve('prd_jPRDcQPMk43Ek')
{
"id": "prd_jKpF9izhfqL9w",
"name": "credit_score",
"status": "available",
"status_error": null,
"latest_request_id": null,
"is_subscribable": true,
"created_at": "2024-04-12T00:09:07.522Z",
"updated_at": "2024-04-12T00:09:09.088Z"
}
Retrieve a Product
GET
/
entities
/
{ent_id}
/
products
/
{prd_id}
curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/products/prd_jPRDcQPMk43Ek" \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.entities("ent_TYHMaRJUUeJ7U")
.products
.retrieve("prd_jPRDcQPMk43Ek");
response = method
.entities('ent_TYHMaRJUUeJ7U')
.products
.retrieve('prd_jPRDcQPMk43Ek')
{
"id": "prd_jKpF9izhfqL9w",
"name": "credit_score",
"status": "available",
"status_error": null,
"latest_request_id": null,
"is_subscribable": true,
"created_at": "2024-04-12T00:09:07.522Z",
"updated_at": "2024-04-12T00:09:09.088Z"
}
Retrieves a Product record for an Entity.
Path Parameters
Returns
Returns a Product object.curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/products/prd_jPRDcQPMk43Ek" \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.entities("ent_TYHMaRJUUeJ7U")
.products
.retrieve("prd_jPRDcQPMk43Ek");
response = method
.entities('ent_TYHMaRJUUeJ7U')
.products
.retrieve('prd_jPRDcQPMk43Ek')
{
"id": "prd_jKpF9izhfqL9w",
"name": "credit_score",
"status": "available",
"status_error": null,
"latest_request_id": null,
"is_subscribable": true,
"created_at": "2024-04-12T00:09:07.522Z",
"updated_at": "2024-04-12T00:09:09.088Z"
}
⌘I